petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecLockGet

Gets the current lock status of a vector

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecLockGet(Vec x,PetscInt *state)

Logically Collective on Vec

### Input Parameter

x -the vector

### Output Parameter

state -greater than zero indicates the vector is still locked

### See Also

VecRestoreArray(), VecGetArrayRead(), VecLockPush(), VecLockGet()

Level:beginner
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages